net.sf.jlinkgrammar

## Class ParseChoice

- java.lang.Object
- - net.sf.jlinkgrammar.ParseChoice

-     public class ParseChoice
      extends java.lang.Object

  One possible parsing choice of a ParseSet

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) Disjunct` | `ld`
    `(package private) Link[]` | `link`
    `(package private) Disjunct` | `md`
    `(package private) ParseChoice` | `next`
    `(package private) Disjunct` | `rd`
    `(package private) ParseSet[]` | `set`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParseChoice(ParseSet lset, int llw, int lrw, Connector llc, Connector lrc, ParseSet rset, int rlw, int rrw, Connector rlc, Connector rrc, Disjunct ld, Disjunct md, Disjunct rd)` Constructor

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### next

          ParseChoice next

    - #### set

          ParseSet[] set

    - #### link

          Link[] link

    - #### ld

          Disjunct ld

    - #### md

          Disjunct md

    - #### rd

          Disjunct rd

  - ### Constructor Detail

    - #### ParseChoice

          public ParseChoice(ParseSet lset,
                     int llw,
                     int lrw,
                     Connector llc,
                     Connector lrc,
                     ParseSet rset,
                     int rlw,
                     int rrw,
                     Connector rlc,
                     Connector rrc,
                     Disjunct ld,
                     Disjunct md,
                     Disjunct rd)

      Constructor
      Parameters:
        `lset` - sets left ParseSet
        `llw` - sets the index of the left word in left set
        `lrw` - sets the index of the rightword in the left set
        `llc` - sets the left Connector in the left set
        `lrc` - sets the right Connector in the left set
        `rset` - sets right ParseSet
        `rlw` - sets the index of the left word in right set
        `rrw` - sets the index of the rightword in the right set
        `rlc` - sets the left Connector in the right set
        `rrc` - sets the right Connector in the right set
        `ld` - sets the left Disjunct
        `md` - sets the middle Disjunct
        `rd` - sets the right Disjunct
      See Also:
        `ParseInfo`, `ParseSet`, `Connector`, `Disjunct`